Package org.apache.tiles.request.collection

# Class AddableParameterMap

java.lang.Object
org.apache.tiles.request.collection.ReadOnlyEnumerationMap<String>
org.apache.tiles.request.collection.AddableParameterMap

All Implemented Interfaces:
  `Map<String,String>`

public class AddableParameterMap extends ReadOnlyEnumerationMap<String>
Exposes an `HasAddableKeys` object as a put/get (no remove) map.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddableParameterMap(HasAddableKeys<String> request)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Map.Entry<String,String>>`
  `entrySet()`
  `String`
  `put(String key, String value)`
  `void`
  `putAll(Map<? extends String,? extends String> map)`

  ### Methods inherited from class org.apache.tiles.request.collection.ReadOnlyEnumerationMap

  `clear, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, remove, size, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Constructor Details

  - ### AddableParameterMap

    public AddableParameterMap(HasAddableKeys<String> request)
    Constructor.
    Parameters:
      `request` - The request object to use.

- ## Method Details

  - ### entrySet

    public Set<Map.Entry<String,String>> entrySet()
    Specified by:
      `entrySet` in interface `Map<String,String>`
    Overrides:
      `entrySet` in class `ReadOnlyEnumerationMap<String>`

  - ### put

    public String put(String key, String value)
    Specified by:
      `put` in interface `Map<String,String>`
    Overrides:
      `put` in class `ReadOnlyEnumerationMap<String>`

  - ### putAll

    public void putAll(Map<? extends String,? extends String> map)
    Specified by:
      `putAll` in interface `Map<String,String>`
    Overrides:
      `putAll` in class `ReadOnlyEnumerationMap<String>`